Bug 9952 - /etc/nsswitch.conf should not use nis or nisplus by default
Summary: /etc/nsswitch.conf should not use nis or nisplus by default
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-04 05:20 UTC by Matthew Miller
Modified: 2016-11-24 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-21 23:56:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Miller 2000-03-04 05:20:50 UTC
The default /etc/nsswitch.conf should not use nis or (worse) nisplus by
default. I think that these days these services are used by only a minority
of Red Hat customers. While not necessarily a security issue, everyone
else's systems really shouldn't be configured to be looking.

This is going to become a serious performance issue under the 2.4 kernels.
Check out this bit on LWN http://lwn.net/2000/0224/kernel.phtml for more
info.

Solaris provides /etc/nsswitch.files, /etc/nsswitch.nis, and
/etc/nsswitch.nisplus example files by default -- that seems like a nice
way to go.

It'd be nice to seperate /etc/nsswitch.conf from the glibc package -- this
might make it easier to deal with.

Another random suggestion -- perhaps the /etc/nsswitch.nis file could be
automagically put in place by the nis/yp init scripts if nis is turned on
and the /etc/nsswitch.conf hasn't already been modified from the default
files-only config.

Comment 1 Cristian Gafton 2000-05-22 14:52:59 UTC
assign to jakub

Comment 2 Stephen John Smoogen 2003-01-24 23:39:38 UTC
This is an RFE for probably extra functionality in the redhat-config-network
tool. It might be better to open this as a new bug as the 'time-cruft' has
gotten it covered in cobwebs

Comment 3 Ulrich Drepper 2003-04-21 23:56:21 UTC
RHL9 does not add nisplus (or nis) ro nsswitch.conf by default.


Note You need to log in before you can comment on or make changes to this bug.